#!/bin/bash

#############  同步给CAP的活动页面日志收集 100.0.3.94/95 ###########################
# 2 */1 * * * sh /home/kc/shell/wget_cap_log.sh >> /data/logs/orderchannel/cap/wget_cap_log.log 2>&1

#hourtmp=`date +%H`
#hour=10#$hourtmp
#daybefore=`date +%Y%m%d -d '1 day ago'`
datetm=`date +%Y%m%d%H -d '1 hour ago'`
datenm=`date +%Y%m%d%H%M00`
# datetm='2021070716'

cd /data/logs/orderchannel/cap/download2/

# "http://100.0.3.94:8050/orderchannel/cap/" "http://100.0.4.95:8050/orderchannel/cap/"
download_servers=(94 95);
tomcat_server_ports=(8055 8056 8077 8078);
log_filename_prefix="orderchannel_";

for download_server in ${download_servers[@]}
do
    echo download_server

    for tomcat_server_port in ${tomcat_server_ports[@]}
    do
        url=`echo "http://100.0.3.$download_server:8050/orderchannel/cap/"$log_filename_prefix$datetm"_"$tomcat_server_port".log" -O $log_filename_prefix$datetm"_"$download_server"_"$tomcat_server_port".log"`
        wget -c -t 5 -T 5 $url
    done
done

#server=94
#while [ $server -le 95 ]
#do
#  cd /data/logs/orderchannel/cap/download/
#  url=`echo "http://100.0.3."$server":8050/orderchannel/cap/orderchannel_"$datetm".log" -O "orderchannel_"$datetm"_"$server".log"`
#  wget -c -t 5 -T 5 $url
#  server=$(( $server + 1 ))
#done

find /data/logs/orderchannel/cap/download2/ -name "*orderchannel_*" -type f -size 0c | xargs -n 1 rm -f
# 志强上传到CAP的目录
#cat /data/logs/orderchannel/cap/download2/orderchannel_*.log > "/data/logs/quartz/capfile/WCLL"$datenm".log"
# 上传文件备份
cat /data/logs/orderchannel/cap/download2/orderchannel_*.log > "/data/logs/orderchannel/cap/backup2/WCLL"$datenm".log"
# 日志文件备份
mv /data/logs/orderchannel/cap/download2/orderchannel_*.log /data/logs/orderchannel/cap/history2/
