package com.chinacreator.access.controller;

import com.chinacreator.access.service.CapAllowblockService;
import com.chinacreator.access.service.CapConfigService;
import com.chinacreator.access.service.CpInfoService;
import com.chinacreator.access.service.PartService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class CacheController {

    @Autowired
    private CapAllowblockService capAllowblockService;

    @Autowired
    private CapConfigService capConfigService;

    @Autowired
    private CpInfoService cpInfoService;

    @Autowired
    private PartService partService;

    @RequestMapping("/allToCache.do")
    public String refresh() {
        try {
            capAllowblockService.loadCapAllowblock();
            capConfigService.loadCapConfig();
            cpInfoService.loadCpInfo();

            partService.refreshFestival();
            partService.refreshProduct();
            partService.refreshFesChan();

            return "成功";
        } catch (Exception e) {
            return e.getMessage();
        }
    }



}
