package com.chinacreator.access.dao;

import com.chinacreator.access.bean.User;
import com.chinacreator.order.bean.DirectedJyLogBean;
import com.chinacreator.order.bean.DirectedJyOrderBean;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;


@Repository
public interface OrderMapper {

    User findUser(@Param("username") String username, @Param("password") String password);

    void insertDirectedJyOrder(DirectedJyOrderBean bean) throws Exception;

    void insertDirectedJyLog(DirectedJyLogBean bean) throws Exception;

    void cancelOrder(DirectedJyOrderBean bean) throws Exception;

}
