package com.chinacreator.access.service;

import org.apache.poi.ss.formula.functions.T;

import java.util.Arrays;

public class FestivalOnOfflineService {
    // 在文件中保存一个更新时间，如果和表中的修改时间不一致就处理
    // 平价活动，则不处理
    // 促销活动，则处理，处理逻辑如下：分2个定时任务，1个定时任务负责活动的上线下线，1个定时任务负责

    // 1、活动上线前（每隔10分钟执行一次）
    // 1）备份平价页面
    // 2）生成临时活动页面（即复制平价页面）

    // 2、活动页面上线（手动执行）
    // 1）替换临时活动页面为正式活动页面

    // 3、进入活动时间（正点执行）
    // 1）将平价页面替换为活动页面（针对全渠道活动）

    // 4、活动下线以后（正点执行）
    // 1）备份活动页面
    // 2）恢复平价页面

    // 5、修改活动
    public static void main(String[] args) {
        Arrays.asList( "a", "b", "d" ).sort( ( e1, e2 ) -> e1.compareTo( e2 ) );

        Arrays.asList( "a", "b", "d" ).sort( ( e1, e2 ) -> {
            int result = e1.compareTo( e2 );
            return result;
        });
    }

    @FunctionalInterface
    public interface FunctionalDefaultMethods {
        public static< T > T defaultValue() {
            return null;
        }

        void d();
    }

    public T getOrDefault(T value, T defaultValue ) {
        return ( value != null ) ? value : defaultValue;
    }
}
