package com.chinacreator.access.servlet;

import com.chinacreator.access.service.PrizeWheelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

//@RestController
//@RequestMapping("/prizewheel")
public class PrizeWheelController {

    @Autowired
    private PrizeWheelService prizeWheelService;

    /**
     * 用户抽奖
     *
     * @param request
     * @return
     */
    @RequestMapping(value = "/drawPrize", method = RequestMethod.POST, produces = "application/json;charset=UTF-8")
    public Map<String, Object> draw(HttpServletRequest request) {
        //return "{\"\":\"\"}";
        return prizeWheelService.drawPrize();
    }

    /**
     * 查询是否抽奖
     *
     * @param request
     * @return
     */
    @RequestMapping(value = "/queryPrize", method = RequestMethod.POST, produces = "application/json;charset=UTF-8")
    public Map<String, Object> query(HttpServletRequest request) {

        return prizeWheelService.query();
    }


}
