package com.chinacreator.access.servlet;

import com.chinacreator.access.restrain.ReqEnum;
import com.chinacreator.access.service.DxService;
import com.chinacreator.access.util.TransUtil;
import com.chinacreator.order.util.Util;
import net.sf.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


/**
 * 活动临时日报
 *
 * @author Yk
 */
@RestController
@RequestMapping("/lod")
public class SanController {

    @Autowired
    private DxService dxService;

    @RequestMapping(value = "/qydb", method = RequestMethod.POST, produces = "application/json;charset=UTF-8")
    public void buy(HttpServletRequest request, HttpServletResponse response) {
        JSONObject data = TransUtil.reqToJSON(request);
        try {
            TransUtil.resToJSON(response, dxService.qylodsql(data));
        } catch (Exception e) {
            Util.reqJsonErr(ReqEnum.ERROR_Exception_system_decrypt);
        }
    }

}
