package com.chinacreator.order.dao;

import com.chinacreator.order.bean.DirectedJyLogBean;
import com.chinacreator.order.bean.DirectedJyOrderBean;

import java.sql.SQLException;
import java.util.List;

public interface QueryDao {

    String querykeyWord(String cpid) throws ClassNotFoundException, SQLException;

    boolean insertCode(String cpid, String productid, String code, String usermobs, String smstype, Integer sou) throws Exception;

    boolean updateCode(String cpid, String productid, String ncode, String usermobs) throws Exception;

    boolean insertCodeLim(String usermobs, String cpid, String smstype) throws Exception;

    boolean updatecodeLim(String usermobs, String cpid, String smstype) throws Exception;

    int intcodeLim(String usermobs, String cpid, String smstype) throws Exception;

    boolean intcodeTim(String usermobs, String cpid, String smstype) throws Exception;

    String querySms(String fes, String cpid, String productid, int i) throws Exception;

    public boolean checkTries(String cpid, String productid, String usermob) throws SQLException;

    boolean insertDirectedJyBean(DirectedJyOrderBean bean) throws Exception;

    boolean insertDirectedJyLog(DirectedJyLogBean bean) throws Exception;

    boolean cancelOrder(DirectedJyOrderBean bean) throws Exception;
}
