package com.chinacreator.order.test;

import java.io.FileInputStream;
import java.util.ArrayList;

import net.sf.json.JSONObject;

import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.poifs.filesystem.OfficeXmlFileException;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.junit.Test;

import com.chinacreator.order.send.HttpSendService;
import com.chinacreator.order.send.imp.HttpSendServicImp;
import com.chinacreator.order.util.DesUtilTo32;

public class ExcelTest {

	HttpSendService send = new HttpSendServicImp();
	/**
	 * 便利发送
	 * @param excelName
	 * @param smsContent
	 */
	public void SendSms(String excelName,String smsContent) {
		ArrayList<String> phon = new ArrayList<String>();
		phon.add("18515955325");
		ArrayList<String> nophon = new ArrayList<String>();
		int c = 0;
		for (String string : phon) {
				c++;
				String requestUrl = "http://127.0.4.1:9090/sms";
				JSONObject json = new JSONObject();
				json.put("busiid", "sendsms");
				json.put("spcode", "106555068");
				JSONObject content = new JSONObject();
				content.put("SPNumber", "106555068");
				content.put("UserNumber", string);
				content.put("ReportFlag", "1");
				content.put("MessageContent",smsContent);
				String con = "";
			try {
				con = DesUtilTo32.encode(content.toString(), "tu0W1lPd");
			} catch (Exception e) {
				e.printStackTrace();
			}
				json.put("content", con);
				System.out.println("-----------------------------------");
				JSONObject re = send.sendPost(requestUrl, json);
				System.out.println("发送号码："+string+"___当前第："+c);
				System.out.println("发送信息："+json.toString());
				re.remove("SequenceNumber");
				System.out.println("返回结果："+re.toString());
				System.out.println("-----------------------------------");
			if(!re.getString("resultcode").equals("0")){
				nophon.add("号码："+string+"  失败原因："+re.getString("resultinfo"));
			}
		}
		System.out.println("|-----------发送失败号码STA--------------|");
		for (String reephon : nophon) {
			System.out.println(reephon);
		}
		System.out.println("|-----------发送失败号码END--------------|");
		System.out.println("失败号码数量："+nophon.size());
	}
	/**
	 * 获取列表
	 * @param excelName
	 * @return
	 */
	public ArrayList<String> getPhonList(String excelName){
		Workbook workbook = null;
		Sheet sheet = null;
		Row row = null;
		Cell cell = null;
		ArrayList<String> phonlist = new ArrayList<String>();
		try {
			workbook = new HSSFWorkbook(new FileInputStream(excelName));
		} catch (OfficeXmlFileException e) {
			try {
			workbook = new XSSFWorkbook(new FileInputStream(excelName));
			} catch (Exception e2) {
				System.out.println("XSSFWorkbook异常");
			}
		} catch (Exception e) {
			System.out.println("HSSFWorkbook异常");
		}
		if(workbook == null){
			throw new IllegalArgumentException("ecxel文件获取失败");
		}
		sheet = workbook.getSheetAt(0);// 获取第一个页签
		if(sheet == null){
			throw new IllegalArgumentException("为正确的获取ecxel的sheet");
		}
		int LastRowNum =  sheet.getLastRowNum();//获取总行数
		int toNum = 0;
		for (int rowNum = 1; rowNum <= LastRowNum; rowNum++) {
			toNum++;
			row = sheet.getRow(rowNum);// 获取页签的第rowNum行
			if(row!=null){
				row.getCell(0).setCellType(Cell.CELL_TYPE_STRING);//先设置Cell的类型，然后就可以把纯数字作为String类型读进来了：
				cell = row.getCell(0);
				String phon = cell.getStringCellValue();//获取String类型的单元格的值
				phonlist.add(phon);
				System.out.println("|-----------------------------------------|");
				System.out.println("当前读取号码："+phon);
				System.out.println("总数："+LastRowNum);
				System.out.println("当前读取条数："+toNum);
				int omNum =  LastRowNum-toNum;
				System.out.println("当前剩余条数:"+omNum);
				System.out.println("|-----------------------------------------|");
			}
		}
		System.out.println("|----------------读取完毕--------------------|");
		return phonlist;
	}

	public void SendSmsdc(String excelName,String smsContent) {
		ArrayList<String> phon = new ArrayList<String>();
		phon.add("18515955325");
		ArrayList<String> nophon = new ArrayList<String>();
		int c = 0;
		for (String string : phon) {
				c++;
				String requestUrl = "http://127.0.4.1:9090/sms";
				JSONObject json = new JSONObject();
				json.put("busiid", "sendsms");
				json.put("spcode", "106555068");
				JSONObject content = new JSONObject();
				content.put("SPNumber", "106555068");
				content.put("UserNumber", string);
				content.put("ReportFlag", "1");
				content.put("MessageContent",smsContent);
				String con = "";
			try {
				con = DesUtilTo32.encode(content.toString(), "tu0W1lPd");
			} catch (Exception e) {
				e.printStackTrace();
			}
				json.put("content", con);
				System.out.println("-----------------------------------");
				JSONObject re = send.sendPost(requestUrl, json);
				System.out.println("发送号码："+string+"___当前第："+c);
				System.out.println("发送信息："+json.toString());
				re.remove("SequenceNumber");
				System.out.println("返回结果："+re.toString());
				System.out.println("-----------------------------------");
			if(!re.getString("resultcode").equals("0")){
				nophon.add("号码："+string+"  失败原因："+re.getString("resultinfo"));
			}
		}
		System.out.println("|-----------发送失败号码STA--------------|");
		for (String reephon : nophon) {
			System.out.println(reephon);
		}
		System.out.println("|-----------发送失败号码END--------------|");
		System.out.println("失败号码数量："+nophon.size());
	}


	//@Test
	public void test_01(){
		//String excelName = "E:/phon01.xlsx";
		//String url = "http://t.cn/E79Ow2f";
		String smsContent = "短信测试！";
		//String smsContent = "【今日头条】本月抖音锦鲤送10元话费啦!订今日头条9元10GB流量包，10元话费次月7个工作日内到账！仅限本链接订购成功的用户哦~戳："+url+" 订购!";
		//getPhonList(excelName);//读取号码
		//发送
		SendSmsdc("",smsContent);
	}
}
