package com.chinacreator.order.test;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.Random;

import org.junit.Test;

import com.chinacreator.access.dao.MessageDao;
import com.chinacreator.access.service.PartService;
import com.chinacreator.order.agency.LogInvoHandler;
import com.chinacreator.order.bean.SendBean;
import com.chinacreator.order.bean.SmsBean;
import com.chinacreator.order.dao.QueryDao;
import com.chinacreator.order.dao.imp.QueryDaoImp;
import com.chinacreator.order.send.HttpSendService;
import com.chinacreator.order.send.imp.HttpSendServicImp;
import com.chinacreator.order.service.OrderService;
import com.chinacreator.order.service.SmsService;
import com.chinacreator.order.service.imp.OrderServiceImp;
import com.chinacreator.order.service.imp.SmsServiceImp;
import com.chinacreator.order.util.AESUtil;
import com.chinacreator.order.util.DesUtilTo32;
import com.chinacreator.order.util.JDBCUtils;
import com.chinacreator.order.util.Util;

import net.sf.json.JSONObject;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class TestMod {

	OrderService service = new OrderServiceImp();
	SmsService sms = new SmsServiceImp();
	HttpSendService send = new HttpSendServicImp();
	QueryDao dao = new QueryDaoImp();
	MessageDao mess = new MessageDao();
	//String requestUrl = "http://100.0.4.1:9090/sms";
	String requestUrl =
			//"http://127.0.4.1:9090/sms";
	Util.getsendUrl();
	// -----配置信息------//
	String cpid = "2017060800064876"; // 客户编码
	String usermob = "18614035250";// 用户手机号
	String smstype = "432";// 客户套餐编码 微博201订购验证码 402
	String smscontent = "";// 验证码
	String productid = "";
	String useraccount = "";
	String orderchannel = "";
	/**
	 * 测试短信发送
	 */
	//@Test
	public void test_01() {
		SmsBean sms = new SmsBean();
		sms.setBusiid("sms");
		sms.setUsermob("18614035250");
		sms.setSmstype("439");
		sms.setSmscontent("");
		System.out.println(sms.toString());
		SendBean sbean = new SendBean();
		sbean.setCpid(cpid);
		JSONObject smsJson = JSONObject.fromObject(sms);
		try {
			sbean.setData(smsJson);
		} catch (Exception e) {
			System.out.println("加密失败");
			e.printStackTrace();
		}
		JSONObject data = JSONObject.fromObject(sbean);
		JSONObject reJson = send.sendPost(requestUrl, data);
		System.out.println(reJson.toString());
	}

	//@Test
	public void test_02() {
		Util.getMoth();

	}

	public static Logger logger = LoggerFactory.getLogger(Test.class.getSimpleName());

	//@Test
	public void test_03() {
		OrderService bs = LogInvoHandler
				.getProxyInstance(OrderServiceImp.class);
		bs.activate(null);
		logger.info("--------------------------------------");
	}

	//@Test
	public void test_04() {
		// 记录debug级别的信息
		logger.debug("This is debug message.");
		// 记录info级别的信息
		logger.info("This is info message.");
		// 记录error级别的信息
		logger.error("This is error message.");
	}

	//@Test
	public void test_05() {
		String c = new String();
		String key = "acit0Mnetunic0m6";
		try {
			c = AESUtil.encrypt("cpid=2016101100040246&productid=2016102410",
					key);
		} catch (Exception e) {
			e.printStackTrace();
		}
		System.out.println(c);
		String m = new String();
		try {
			m = AESUtil.decrypt(c, key);
		} catch (Exception e) {
			e.printStackTrace();
		}
		System.out.println(m);
	}

	//@Test
	public void test_06() {
		String fog = "019b57a6a1b27ae20cb0f70187125d9bab3d4a9b06278e2355e361cae67d253cbe62428f3069016bd9d53ca96f26b1f7";
		String fogJson = null;
		try {
			fogJson = Util.fogdec(fog, "cpid");
		} catch (Exception e) {
			e.printStackTrace();
		}
		System.out.println(fogJson);
	}

	/**
	 * 验证码信息
	 */
	String code = "803315";
	String usermobs = "18971900646";
	String fog = "df3958be828815ec18613612fa1e7a55ec0c66c954ceccf62ada29431f927b3f9438f51d19aa597d9e2759efb72616c1";

	/**
	 * 添加验证码
	 */
	//@Test
	public void test_07() {
		code = Util.createRandomVcode();
		System.out.println("验证码:" + code);
	}

	/**
	 * 测试对比验证码
	 */
	//@Test
	public void test_08() {
		String ncode = code;
		System.out.println("验证码:" + ncode);
		boolean state = false;
		try {
			state = dao.updateCode(Util.fogdec(fog, "cpid"),
					Util.fogdec(fog, "productid"), ncode, usermobs);
		} catch (Exception e) {
			e.printStackTrace();
		}
		System.out.println(state);
	}

	//@Test
	public void test_09() {
		Timestamp a = Util.beforeDate(5);
		System.out.println(a);
	}

	//@Test
	public void test_10() {
		String keyWord = "Toutiao1@Unicom!";
		String aes = "12893760240b302a13a93e7fa10ad798917496062bd5e3de1b9416a89a7b316ea02d40a51cf27af3c8ff0ba5ae78613b13e83b59abb03d5cdfd4f9af8905cb3624c153efa5be90a2a8a7460315bc96bc8f398d4d63200d5ecb7a5093001c72d9";
		String log = null;
		try {
			log = AESUtil.decrypt(aes, keyWord);
		} catch (Exception e) {
			e.printStackTrace();
		}
		System.out.println(log);
		String m = Util.getMoth();
		System.out.println(m);
	}
	//@Test
	public void test_11() throws SQLException{
		Logger logger = LoggerFactory.getLogger(JDBCUtils.class);
		 for(int i=0;i<20;i++){
             Connection con = JDBCUtils.getMySqlConnection();
             logger.info("链接池中"+i+":"+ con.hashCode());
             JDBCUtils.close(con);
         }
	}

	//@Test
	public void test_12()throws SQLException{
		SendBean sbean = new SendBean();
		sbean.setCpid("2017060800064876");
		SmsBean sms = new SmsBean();
		sms.setBusiid("sms");
		sms.setUsermob("18515955325");
		sms.setSmstype("401");
		sms.setSmscontent("021100");
		JSONObject smsJson = JSONObject.fromObject(sms);
		System.out.println(smsJson.toString());
		try {
			sbean.setData(smsJson);
		} catch (Exception e) {
			e.printStackTrace();
		}
		JSONObject reJson = send.sendPost(requestUrl,JSONObject.fromObject(sbean));
		logger.info(reJson.toString());
	}

	//@Test
	public void test_intcodeLim()throws Exception{
		QueryDaoImp query = new QueryDaoImp();
		query.intcodeLim(usermobs, cpid, smstype);
	}

	//@Test
	public void testCan(){
		String usermob = "";
		JSONObject orderjson = new JSONObject();
		orderjson.put("busiid", "cancel");
		orderjson.put("usermob", usermob);
		orderjson.put("useraccount", "");
		orderjson.put("cancelchannel","0");
		orderjson.put("productid","40000");
		SendBean sbean = new SendBean();
		sbean.setCpid("2016101100040246");
		try {
				sbean.setData(orderjson);
		} catch (Exception e) {
				e.printStackTrace();
		}
		JSONObject re = send.sendPost(Util.getsendUrl(), JSONObject.fromObject(sbean));
		System.out.println(re.toString());
	}


	/**
	 * 测试发送特定信息
	 */
	//@Test
	public void test_16(){
		ArrayList<String> phon = new ArrayList<String>();
		phon.add("18515955325");
		for (String string : phon) {
			String requestUrl = "http://127.0.4.1:9090/sms";
			JSONObject json = new JSONObject();
			json.put("busiid", "sendsms");
			json.put("spcode", "106555061");
			JSONObject content = new JSONObject();
			content.put("SPNumber", "106555061");
			content.put("UserNumber", string);
			content.put("ReportFlag", "1");
			content.put("MessageContent", "测试发送！");
			String con = "";
			try {
				con = DesUtilTo32.encode(content.toString(), "12345678");
			} catch (Exception e) {
				e.printStackTrace();
			}
			System.out.println("con: "+con);
			json.put("content", con);
			JSONObject re = send.sendPost(requestUrl, json);
			System.out.println(re.toString());
			re.remove("SequenceNumber");
			System.out.println(re.toString());
		}

	}

    //@Test
    public void test_17(){
    	String usermob = "";
    	String content = "这是一些测试内容";
    	JSONObject data  = new JSONObject();
    	data.put("usermob", usermob);
    	data.put("content", content);
    	PartService pa = new PartService();
    	System.out.println(pa.sendVerCode(data).toString());
    }

    //@Test
    public void test_18(){
        int max=20;
        int min=10;
        Random random = new Random();
        for (int i = 0; i < 100; i++) {
            int s = random.nextInt(max)%(max-min+1) + min;
            System.out.println(s);
		}

    }
    //@Test
    public void test_19(){
    	OrderService s = new OrderServiceImp();
    	JSONObject data  = new JSONObject();
    	data.put("usermob", "18684984095");
    	String fog = "";

    	try {
			fog = AESUtil.encrypt("cpid=2017050800064715&productid=2018041901",Util.geturlkeyWord());
		} catch (Exception e) {
			e.printStackTrace();
		}
    	System.out.println(fog);
    	data.put("fog", fog);
    	data.put("useraccount", "");
    	data.put("sou", "33");
    	System.out.println(s.orderApply(data).toString());
    }

//	orderjson.put("busiid", "order");
//	orderjson.put("usermob", data.getString("usermob"));
//	orderjson.put("productid",
//			Util.fogdec(data.getString("fog"), "productid"));
//	orderjson.put("useraccount", data.getString("useraccount"));
//	orderjson.put("orderchannel", Util._N_to_10(data.getString("sou"),32));// 默认订购0线上订购
//	SendBean sbean = new SendBean();
//	sbean.setCpid(Util.fogdec(data.getString("fog"), "cpid"));


    HttpSendServicImp h = new HttpSendServicImp();
    //@Test
    public void test_20(){
    	//h.sendPost("http://127.0.3.88:8102/directional/initUnicom.do", null);
    }



    //@Test
    public void test_21(){
    	JSONObject json = new JSONObject();
		json.put("busiid", "sms");
		json.put("usermob", "13001285539");
		json.put("smstype", "436");
		json.put("smscontent", "");
		SendBean sbean = new SendBean();
		sbean.setCpid("2017060800064876");
		try {
			sbean.setData(json);
		} catch (Exception e) {
			e.printStackTrace();
		}

		send.sendPost("http://127.0.3.5:8050/directional/initUnicom.do",JSONObject.fromObject(sbean));
    }

    //@Test
    public void test_22(){
    	JSONObject data = new JSONObject();
    	data.put("fog", "528e7db08da682d2bc068d7f062a46204190d0622c473f96b813418e34e3edeff06dbe133556793d3ad847f654d363324510b8005b2b39c2cdee1017181d0c25");
    	String cpid = Util.fogdec(data.getString("fog"), "cpid");
    	System.out.println(cpid);

    }
}
