package com.chinacreator.access.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.chinacreator.access.service.BueryPointService;
import com.chinacreator.access.util.DESUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * 埋点
 * @author jiangtao
 */
@RestController
@RequestMapping(value = "/burypoint")
public class BuryPointController {

    public static final String DOMAIN = "800.wo.cn";
    public static final String TOKEN = "s_";
    public static final String PASSWORD = "uv_success_1234";

    @Autowired
    private BueryPointService bueryPointService;

    @RequestMapping(value = "/logid", method = RequestMethod.POST, produces = "application/json; charset=UTF-8")
    public String logid(HttpServletRequest req, HttpServletResponse response) throws Exception {

        String result = bueryPointService.logid(req);

        //生成签名
        JSONObject json = JSON.parseObject(result);

        // 埋点成功
        if ("0".equals(json.getString("resultCode"))) {
            //生成一个签名，代表用户埋点成功过
            StringBuilder sb = new StringBuilder();

            String uuid = req.getParameter("uuid");

            sb.append(System.currentTimeMillis()).append("-").append(uuid);
            Cookie cookie = new Cookie(TOKEN, DESUtil.encode(sb.toString(), PASSWORD));
            cookie.setDomain(DOMAIN);
            response.addCookie(cookie);
        }

        return result;
    }

}
