package com.chinacreator.access.controller;


import com.alibaba.fastjson.JSONObject;
import com.chinacreator.access.service.SliderCaptchaService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;

/**
 * @author jiangtao
 */
@RestController
@RequestMapping("/sliderCaptcha")
public class SliderCaptchaController {

    private static final Logger LOGGER = LoggerFactory.getLogger(SliderCaptchaController.class);

    @Autowired
    private SliderCaptchaService sliderCaptchaService;

    @PostMapping("/verify")
    public JSONObject isVerify(@RequestBody ArrayList<Integer> datas) {

        JSONObject verifyResult = new JSONObject();

        try {
            LOGGER.info("滑动拼图校验，入参={}");
            verifyResult = sliderCaptchaService.createCaptchaCode(datas);

        } catch (Exception e) {
            LOGGER.error("滑动拼图校验失败: {}", e.getMessage());
            e.printStackTrace();
        }

        return verifyResult;
    }

}
