package com.chinacreator.access.service;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import com.chinacreator.access.bean.CapAllowblock;
import com.chinacreator.access.dao.CapAllowblockMapper;
import com.chinacreator.access.task.CapAllowblockTask;

@Service
public class CapAllowblockService {
    private static List<CapAllowblock> capAllowblockList = new ArrayList<>();

    @Autowired
    private CapAllowblockMapper capAllowblockMapper;

    @PostConstruct
    public void init() {
        CapAllowblockTask thread = new CapAllowblockTask(this);
        new Thread(thread).start();
    }

    public void loadCapAllowblock() {
        capAllowblockList = capAllowblockMapper.findAll();
    }

    public CapAllowblock findCapAllowblock(String cpid) {
        if (StringUtils.isEmpty(cpid)) {
            return null;
        }

        for (CapAllowblock cpInfo : capAllowblockList) {
            if (cpid.equals(cpInfo.getCpid())) {
                return cpInfo;
            }
        }

        return null;
    }

    public void checkReferer(String cpid, String referer, String ip) {
        /*

        if (StringUtils.isEmpty(cpid) && StringUtils.isEmpty(referer)) {
            throw new BusinessException(ReqEnum.ERROR_BLOCK_ACCESS);
        }

        int allowCount = 0;
        int blockCount = 0;
        for (CapAllowblock capAllowblock : capAllowblockList) {
            if (cpid.equals(capAllowblock.getCpid())) {

                if (!StringUtils.isEmpty(capAllowblock.getAllowvalue())) {

                    String value = "ip".equals(capAllowblock.getAllowtype()) ? ip : referer;
                    if (value.indexOf(capAllowblock.getAllowvalue()) >= 0) {
                        allowCount ++;
                    }
                }

                if (!StringUtils.isEmpty(capAllowblock.getBlockvalue())) {

                    String value = "ip".equals(capAllowblock.getBlocktype()) ? ip : referer;
                    if (value.indexOf(capAllowblock.getAllowvalue()) >= 0) {
                        blockCount ++;
                        return;
                    }
                }
            }
        }

        if (blockCount > 0 || allowCount <= 0) {
            throw new BusinessException(ReqEnum.ERROR_BLOCK_ACCESS);
        }

         */
    }
}
