package com.chinacreator.access.util;

public class MathUtil {

    private static String NUM_STR = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";

    /**
     * 32 进制转 10进制
     * @param number
     * @return
     */
    public static String binary32to10(String number) {
        return nto10(number, 32);
    }

    /**
     * 进制转换工具类 N转10
     *
     * @param number 需要转换的字符串
     * @param n      number位数
     * @return 结果
     */
    public static String nto10(String number, int n) {
        char[] ch = number.toCharArray();
        int len = ch.length;
        long result = 0;
        if (n == 10) {
            return Long.toString(Long.parseLong(number));
        }
        long base = 1;
        for (int i = len - 1; i >= 0; i--) {
            int index = NUM_STR.indexOf(ch[i]);
            result += index * base;
            base *= n;
        }
        return Long.toString(result);
    }
}
