package com.chinacreator.access.util;

import com.alibaba.fastjson.JSONObject;
import org.apache.commons.codec.digest.DigestUtils;

import java.util.*;

public class SignatureUtil {

    public static String signatureStr(JSONObject maps, String key) {
        String signStr = sortKeys(maps);
        return DigestUtils.sha1Hex(signStr + key);
    }

    private static String sortKeys(Map<String, Object> maps) {
        String signStr = "";
        Collection<String> keyset = maps.keySet();
        List list = new ArrayList<String>(keyset);
        Collections.sort(list);
        for (int i = 0; i < list.size(); i++) {
            signStr += list.get(i) + "=" + maps.get(list.get(i));
        }

        return signStr;
    }

    public static void main(String[] args) {
        JSONObject sigMap = new JSONObject();
        sigMap.put("timestamp", "timestamp");
        sigMap.put("nonce", "nonce");
        sigMap.put("token", "token");
        System.out.println(signatureStr(sigMap, ""));
    }
}
