package com.chinacreator.order.bean;

import com.chinacreator.order.dao.QueryDao;
import com.chinacreator.order.dao.imp.QueryDaoImp;
import com.chinacreator.order.util.AESUtil;
import com.chinacreator.order.util.Util;
import net.sf.json.JSONObject;

public class SendBean {
    public String cpid;
    public String data;

    public SendBean() {
        super();
    }

    public String getCpid() {
        return cpid;
    }

    public void setCpid(String cpid) {
        this.cpid = cpid;
    }

    public String getData() {
        return data;
    }

    public void setData(JSONObject data) throws Exception {
        String keyWord = null;
        if (Util.keyMap.get(this.cpid) == null) {
            QueryDao dao = new QueryDaoImp();
            try {
                keyWord = dao.querykeyWord(this.cpid);
            } catch (Exception e) {
                e.printStackTrace();
            }
            if (keyWord != null) {
                Util.keyMap.put(this.cpid, keyWord);
            } else {
                System.err.println("keyword未能取出");
            }
        } else {
            keyWord = Util.keyMap.get(this.cpid);
        }
        System.out.println("使用的加密keyWord：" + keyWord);
        this.data = AESUtil.encrypt(data.toString(), keyWord);
    }

    @Override
    public String toString() {
        return "SendBean [cpid=" + cpid + ", data=" + data + "]";
    }

}
