package com.chinacreator.access.util;

import org.junit.Test;

import java.time.LocalDate;
import java.util.Date;

/**
 *
 */
public class DateUtilTest {

    @Test
    public void testGetLastDayOfTheMonth() {
//        "2023-03-06"
        System.out.println(DateUtil.getLastDayOfTheMonth(2023, 3));
        assert "2023-03-31".equals(DateUtil.getLastDayOfTheMonth(2023, 3));
        assert "2023-03-31 23:59:59".equals(DateUtil.getLastDayOfTheMonth(2023, 3) + " 23:59:59");
        System.out.println(LocalDate.now().getYear() + ", " + LocalDate.now().getMonthValue());
        assert "2023-03-31 23:59:59".equals(DateUtil.getLastDayOfTheMonth(LocalDate.now().getYear(), LocalDate.now().getMonthValue()) + " 23:59:59");
    }

}
