package com.chinacreator.order.test;

import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import java.util.SortedMap;
import java.util.TreeMap;

import net.sf.json.JSONObject;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.chinacreator.order.bean.SendBean;
import com.chinacreator.order.send.HttpSendService;
import com.chinacreator.order.send.imp.HttpSendServicImp;
import com.chinacreator.order.util.AESUtil;
import com.chinacreator.order.util.MD5Util;
import com.chinacreator.order.util.Util;

//@RunWith(SpringJUnit4ClassRunner.class)  //使用junit4进行测试
//@ContextConfiguration({"/spring/*.xml"})
/**
 * 用于测试各类接口
 * @author Yk
 *
 */
public class TestMian {

	private static SendBean sbean = new SendBean();
	private static JSONObject json = new JSONObject();
	private static JSONObject sendJson = new JSONObject();
	private static JSONObject returnJson = new JSONObject();
	private static HttpSendService send = new HttpSendServicImp();

	private static String optimizeUrl = "http://61.50.245.146:8050/directional/initUnicom.do";
	//private static String optimizeUrl = "http://127.0.3.5:6801/directional/initUnicom.do";
	//private static String optimizeUrl = "http://127.0.0.1:8080/directional/initUnicom.do";
	//private static String optimizeUrl = "http://192.168.0.1:8080/directional/initUnicom.do";
	private String useraccount = "";//2094309612
	private String cpid = "2016090117903652";
	private String productid = "2016090102";
	private String usermob = "18515955325";	//18684984095   18515955325  18681829301
	private String orderchannel = "99";
	private String cancelchannel = "76";
    //@Test
    public void TestMain() {
//    	String n32fes = "v";
//    	String fescod = Util._N_to_10(n32fes, 32);
//    	System.out.println(fescod);

    		//订购
    		setSendJson_To_Order(cpid, usermob, productid, useraccount, orderchannel);
    		//退订
    		//setSendJson_To_Cancel(cpid, usermob, productid, useraccount, cancelchannel);
    		//查询
//    		setSendJson_To_queryOrderInfo(cpid, usermob, productid);
//			testOptimizeUrl(sendJson);
    	//{"busiid":"queryOrderInfo","productid":"2018030701","usermob":"13069202634"}
    	//{"busiid":"queryOrderInfo","productid":"2018072301","usermob":"18581425298"}
//			String busid = "queryinfo";
    		//String busid = "queryOrderInfo";
//    		setSendJson_To_queryOrderInfoT(cpid, usermob, productid,busid);
			testOptimizeUrl(sendJson);
			//{"usermob":"18513127131","productid":"2018072301","usertype":"4G","ordertime":"2019-04-02 14:44:57"}

//			//设置话费充值发送Json
//			setsupplyJson_To_Supply("18515955325", 10, "2018111932753768");
//			//发送
//			testSupplyUrl(supplyJson);
    }


    /**
     * 向发送的sendJson对象中添加定向项目订购关系查询接口需要的参数
     * @param cpid			订购的客户编码
     * @param usermob		订购的用户手机号
     * @param productid		订购的产品编码
     */
    public static void setSendJson_To_queryOrderInfoT(String cpid,String usermob,String productid,String busi){
    	System.out.println("setSendJson_To_queryOrderInfo入参：cpid： "+cpid+";usermob:"+usermob+";productid:"+productid);
    	sbean.setCpid(cpid);

    	//json.put("busiid", "queryOrderInfo");
    	json.put("busiid", busi);
    	json.put("usermob", usermob);
    	json.put("productid",productid);
		try {
			sbean.setData(json);
			System.out.println("setSendJson_To_Order结果：生成的sbean:"+sbean.toString());
		} catch (Exception e) {
			System.err.println("getOrderJson中生成sbean出现错误！");
			e.printStackTrace();
		}
		sendJson = JSONObject.fromObject(sbean);
		System.out.println("setSendJson_To_queryOrderInfo结果：生成的加密后sendJson:"+sendJson.toString());
    }

    /**
     * 向发送的sendJson对象中添加定向项目订购接口需要的参数
     * @param cpid			订购的客户编码
     * @param usermob		订购的用户手机号
     * @param productid		订购的产品编码
     * @param useraccount	订购的用户账户信息（一般不为空串）
     * @param orderchannel	订购的渠道编码
     */
    public static void setSendJson_To_Order(String cpid,String usermob,String productid,String useraccount,String orderchannel){
    	System.out.println("setSendJson_To_Order入参：cpid： "+cpid+";usermob:"+usermob+";productid:"+productid+";useraccount："+useraccount+";orderchannel:"+orderchannel+";");
    	sbean.setCpid(cpid);
    	json.put("busiid", "order");
    	json.put("usermob", usermob);
    	json.put("productid",productid);
    	json.put("useraccount",useraccount);
    	json.put("orderchannel",orderchannel);
		try {
			sbean.setData(json);
			System.out.println("setSendJson_To_Order结果：生成的sbean:"+sbean.toString());
		} catch (Exception e) {
			System.err.println("getOrderJson中生成sbean出现错误！");
			e.printStackTrace();
		}
		sendJson = JSONObject.fromObject(sbean);
		System.out.println("setSendJson_To_Order结果：生成的加密后sendJson:"+sendJson.toString());
    }

    /**
     * 向发送的sendJson对象中添加定向项目退订接口需要的参数
     * @param cpid			退订客户编码
     * @param usermob		退订用户手机号
     * @param productid		退订产品编码
     * @param useraccount	退订用户账户信息（一般不为空串）
     * @param cancelchannel	退订渠道编码
     */
    public static void setSendJson_To_Cancel(String cpid,String usermob,String productid,String useraccount,String cancelchannel){
    	System.out.println("setSendJson_To_Order入参：cpid： "+cpid+";usermob:"+usermob+";productid:"+productid+";useraccount："+useraccount+";cancelchannel:"+cancelchannel+";");
    	sbean.setCpid(cpid);
    	json.put("busiid", "cancel");
    	json.put("usermob", usermob);
    	json.put("productid",productid);
    	json.put("useraccount",useraccount);
    	json.put("cancelchannel",cancelchannel);
		try {
			sbean.setData(json);
			System.out.println("setSendJson_To_Cancel结果：生成的sbean:"+sbean.toString());
		} catch (Exception e) {
			System.err.println("getCancelJson中生成sbean出现错误！");
			e.printStackTrace();
		}
		sendJson = JSONObject.fromObject(sbean);
		System.out.println("setSendJson_To_Cancel结果：生成的加密后sendJson:"+sendJson.toString());
    }

    /**
     * 向发送的sendJson对象中添加定向项目订购关系查询接口需要的参数
     * @param cpid			订购的客户编码
     * @param usermob		订购的用户手机号
     * @param productid		订购的产品编码
     */
    public static void setSendJson_To_queryOrderInfo(String cpid,String usermob,String productid){
    	System.out.println("setSendJson_To_queryOrderInfo入参：cpid： "+cpid+";usermob:"+usermob+";productid:"+productid);
    	sbean.setCpid(cpid);

    	//json.put("busiid", "queryOrderInfo");
    	json.put("busiid", "queryFlow");
    	json.put("usermob", usermob);
    	json.put("productid",productid);
		try {
			sbean.setData(json);
			System.out.println("setSendJson_To_Order结果：生成的sbean:"+sbean.toString());
		} catch (Exception e) {
			System.err.println("getOrderJson中生成sbean出现错误！");
			e.printStackTrace();
		}
		sendJson = JSONObject.fromObject(sbean);
		System.out.println("setSendJson_To_queryOrderInfo结果：生成的加密后sendJson:"+sendJson.toString());
    }

    /**
     * 向定向项目url地址发送数据。（用于测试订购，退订，短信发送等定向功能）。
     * @param sendJson
     */
    public void testOptimizeUrl(JSONObject sendJson){
    	System.out.println("testOptimizeUrl入参:"+sendJson.toString());
    	returnJson = send.sendPost(optimizeUrl,sendJson);
		System.out.println("testOptimizeUrl结果:"+returnJson.toString());
		if(returnJson.getString("resultCode").equals("0000")){
			try {
				String data = AESUtil.decrypt(returnJson.getString("data"), Util.keyMap.get(this.cpid));
				System.out.println("data结果："+data);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
    }

    //private String czurl = "http://220.194.48.102:12443/rechargeplat-rest/rechargeIntf/singleRecharge";
    private String czurl = "http://yx.mail.wo.cn:11443/rechargeplat-rest/rechargeIntf/singleRecharge";
    private static JSONObject supplyJson = new JSONObject();
    private String appKey = "dxll";
    public String secret = "0f138bbc314f75f75bb2aeab9786e931";
    private String signature = "";

    /**
     * 测试话费充值接口
     * @param sendJson
     */
    public void testSupplyUrl(JSONObject supplyJson){
    	System.out.println("testSupplyUrl入参:"+supplyJson.toString());
    	returnJson = send.sendPost(czurl,supplyJson);
		System.out.println("testSupplyUrl结果:"+returnJson.toString());
    }

    /**
     * 封装用于话费充值的发送Json对象
     */
    public void setsupplyJson_To_Supply(String phone,int money,String busiId){
    	supplyJson.put("appKey", appKey);
    	signature = getSignature(phone,money,busiId);
    	supplyJson.put("signature", signature);
    	supplyJson.put("phone", phone);
    	supplyJson.put("money", money);
    	supplyJson.put("busiId", busiId);
    }

    public String getSignature(String phone,int money,String busiId) {
        SortedMap<Object,Object> parameters = new TreeMap<Object,Object>();
        parameters.put("phone", phone);
        parameters.put("money", money);
        parameters.put("busiId",busiId);
        String characterEncoding = "UTF-8";         //指定字符集UTF-8
        String mySign = createSign(characterEncoding,parameters,secret);
        System.out.println("加密后mySign:"+mySign);
        return mySign;
    }

    public static String createSign(String characterEncoding,SortedMap<Object,Object> parameters,String key){
        StringBuffer sb = new StringBuffer();
        StringBuffer sbkey = new StringBuffer();
        Set es = parameters.entrySet();  //所有参与传参的参数按照accsii排序（升序）
        Iterator it = es.iterator();
        while(it.hasNext()) {
            Map.Entry entry = (Map.Entry)it.next();
            String k = (String)entry.getKey();
            Object v = entry.getValue();
            //空值不传递，不参与签名组串
            if(null != v && !"".equals(v)) {
                sb.append(k + v);
                sbkey.append(k + v);
            }
        }
        System.out.println("升序排序后字符串:"+sb.toString());
        sbkey=sbkey.append("key="+key);
        System.out.println("加入key后字符串:"+sbkey.toString());
        String endString = "appKey=dxll"+sbkey.toString();
        //MD5加密,结果转换为大写字符
        String sign = MD5Util.MD5Encode(endString, characterEncoding).toUpperCase();
        System.out.println("MD5加密值:"+sign);
        //return sb.toString()+"key="+sign;
        return sign;
    }
}
