package com.chinacreator.order.test;

import com.github.kevinsawicki.http.HttpRequest;
import org.apache.commons.codec.digest.DigestUtils;
import org.junit.Test;

import java.nio.charset.Charset;
import java.util.HashMap;
import java.util.Map;

public class TestSinaInterface {

    /**
     *
     * 用户是否有权限订购联通免流会员校验接口
     *
     * //获取uid 方法，在微博中发表文章，内容为下面链接，链接打开后，弹框显示
     * https://800.wo.cn/orderchannel/sina/test.html
     */
    //@Test
    public void testCheckAccount() {
        String url = "https://new.vip.weibo.cn/unicom/checkaccount";

        String uid = "3542915174";
        String timestamp = String.valueOf(System.currentTimeMillis());
        String key = "ldEfdLxPV5md6GFQ6vzEPlL2w6g22Tuf";
        String sign = DigestUtils.md5Hex(uid + timestamp + key);

        Map<String, String> params = new HashMap<>();
        params.put("uid", uid);
        params.put("timestamp", timestamp);
        params.put("sign", sign);

        HttpRequest request = HttpRequest.post(url).form(params);
        System.out.println(new String(request.bytes(), Charset.forName("UTF-8")));
    }

}
